orte/mca/oob/tcp/oob_tcp_addr.h File Reference.TH "orte/mca/oob/tcp/oob_tcp_addr.h" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
orte/mca/oob/tcp/oob_tcp_addr.h \- Contains header used by tcp oob. 
.SH SYNOPSIS
.br
.PP
\fC#include 'ompi_config.h'\fP
.br
\fC#include 'dps/dps.h'\fP
.br
\fC#include 'opal/class/opal_object.h'\fP
.br
\fC#include 'mca/ns/ns_types.h'\fP
.br

.SS "Typedefs"

.in +1c
.ti -1c
.RI "typedef \fBmca_oob_tcp_addr_t\fP \fBmca_oob_tcp_addr_t\fP"
.br
.in -1c
.SS "Functions"

.in +1c
.ti -1c
.RI "\fBOBJ_CLASS_DECLARATION\fP (\fBmca_oob_tcp_addr_t\fP)"
.br
.ti -1c
.RI "\fBmca_oob_tcp_addr_t\fP * \fBmca_oob_tcp_addr_unpack\fP (\fBorte_buffer_t\fP *)"
.br
.RI "\fIUnpack the contact information posted by the peer. \fP"
.ti -1c
.RI "int \fBmca_oob_tcp_addr_pack\fP (\fBorte_buffer_t\fP *)"
.br
.RI "\fIPack this hosts addressing info into a buffer for posting into the registry. \fP"
.ti -1c
.RI "int \fBmca_oob_tcp_addr_insert\fP (\fBmca_oob_tcp_addr_t\fP *, const struct sockaddr_in *)"
.br
.ti -1c
.RI "int \fBmca_oob_tcp_addr_get_next\fP (\fBmca_oob_tcp_addr_t\fP *, struct sockaddr_in *)"
.br
.in -1c
.SH "Detailed Description"
.PP 
Contains header used by tcp oob. 


.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
